// Use Path
const path = require('path');

// Set Resolve
const resolve = uri => path.resolve(process.cwd(), uri);

// Exports
module.exports = webpackConfigure => {
  // Set Module
  webpackConfigure.module
    .rule('md')
    .test(/\.md/)
    .use('vue-loader')
    .loader('vue-loader')
    .end()
    .use('vue-markdown-loader')
    .loader('vue-markdown-loader/lib/markdown-compiler')
    .options({
      raw: true,
    });
};
